POST Agents/Sale/AddSaleStakeholders
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Sale/AddSaleStakeholders
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Sale/AddSaleStakeholders?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
SaleId, SaleStakeholders
| Property Name | Type | Description |
|---|---|---|
| SaleId | Integer | |
| SaleStakeholders | Array |
Response:
No Content
| Response | Description |
|---|---|
| 204 | No Content |
Response body: TimeZoneData
Sample request
POST /api/v1/Agents/Sale/AddSaleStakeholders
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"SaleId": 567,
"SaleStakeholders": [
{
"StakeholderRoleName": "Bailey, McGlynn and Upton",
"Comment": "placeat",
"StakeholderRoleId": 57,
"CountryId": 94,
"PersonId": 598,
"EmailDescription": "vivien@toy.name",
"EmailId": 814,
"EmailAddress": "lysanne@prosacco.co.uk",
"PhoneId": 406,
"ContactName": "Conroy, O'Conner and Kuvalis",
"ContactId": 608,
"SaleId": 425,
"Mrmrs": "alias",
"Firstname": "Jordyn",
"MiddleName": "Sanford-Sauer",
"Lastname": "Keeling",
"SaleStakeholderId": 638,
"Rank": 352,
"Phone": "1-673-638-9831 x3509"
}
]
}
Sample response
HTTP/1.1 204 No Content
Content-Type: application/json; charset=utf-8
null